Subject: Re: [i2rs] consensus on I2RS protocol and model Requirements WAS(Re: consensus on I2RS protocol and model

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 4 May 2014 07:02:09 -0400

Jeff,

I have been travelling and didnt have time to do this - but it helped me
reflect a little more on the topic.
I think it would be best to come up with some form of pseudo requirements
first then do the analysis. I will work on a set of requirements for
protocol then
model and post them on the list. I will try to extract them from the
differrent docs;
some of what i put out will be a matter of opinion so i may get shot
down but at least
we would have one smell test for everyone.

cheers,
jamal

On Wed, Apr 30, 2014 at 8:30 PM, Jeffrey Haas <[email-masked]> wrote:
> On Sat, Apr 19, 2014 at 06:43:33AM -0400, Jamal Hadi Salim wrote:
>> So 54 emails later....
> [...]
> And now I'm many beyond that... :-)
>
>> Andy, Dean and myself included presented based on our view of what the
>> requirements are.
>> There are no requirements spelt out anywhere. Why is this such a hard
>> question to ask
>> around an engineering forum?
>
> I have to agree that we're not converging on requirements in an explicit
> form.
>
> What I do see is that we're covering implicit forms of the requirements by
> discussing the proposed solutions and the issues with them.
>
> I'll remind all sides that I created wiki stubs for these to be documented.
> In the absence of someone filling them in, I'll write down some of my own
> observations early next week.
>
> http://wiki.tools.ietf.org/wg/i2rs/trac/wiki/ForcesAnalysis
> http://wiki.tools.ietf.org/wg/i2rs/trac/wiki/NetconfYangAnalysis
>
> -- Jeff